diff scripts/setup_ssh.sh @ 364:ab6d78e18e85 prerelease

Simplified setup-ssh files: no more need for keypairs, now just setting the bbb entry in ~/.ssh/config
author Giulio Moro <giuliomoro@yahoo.it>
date Thu, 09 Jun 2016 01:47:13 +0100
parents scripts/setup-ssh.sh@f03d68f18d7f
children 99de323c13b3
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/setup_ssh.sh	Thu Jun 09 01:47:13 2016 +0100
@@ -0,0 +1,13 @@
+#!/bin/bash
+[ -z "$BBB_HOSTNAME" ] && BBB_HOSTNAME="192.168.7.2"
+[ -z "$BBB_USER" ] && BBB_USER="root"
+[ -z "$BBB_HOST" ] && BBB_HOST="bbb"
+CONFIG_FILENAME=$HOME/.ssh/config
+mkdir -p $HOME/.ssh # create the ssh folder if it does not exist
+printf "\nHost $BBB_HOST\nHostname $BBB_HOSTNAME\nUser $BBB_USER\nStrictHostKeyChecking=no\n\n" >> $HOME/.ssh/config 
+if [ $? -eq 0 ];
+then
+  printf "You can now login into the Beaglebone with\n\$ ssh $BBB_HOST\n"
+else
+  printf "Something went wrong. You should still be able to log into the BeagleBone with \n\$ ssh $BBB_USER@$BBB_HOSTNAME\n"
+fi